jueves, 1 de marzo de 2012

Cómo instalar LaTeX en Windows

LaTeX, para un principiante, resulta bastante rudo. En primer lugar, su instalación es bien difícil, y necesitas instalar un montón de programas. Para tratar de ayudar un poquito, en esta entrada mostraré cómo instalar LaTeX en Windows.

Los programas que necesitamos son los siguientes:
  • MikTeX. Digamos que es el LaTeX en sí.
  • Programas auxiliares internos: GPL Ghostscript y GSview.
  • Un editor de LaTeX. Es decir, el programa que usaremos para escribir con LaTeX. El que yo utilizo se llama TexnicCenter. Pero hay muchos otros.
  • Un visor de pdf. Es decir, Adobe Reader, y que seguramente ya tengas instalado.

Además, otros programas que no son indispensables, pero si recomendables, son:
  • Gimp2. Programa de dibujo, que entre otras cosas, nos permite transformar cualquier imagen, a formato eps, que es el que utiliza LaTeX.
  • Diaw.exe. Programita muy sencillo para realizar imagenes directamente en eps.
  • JabRef. Un programa muy sencillito e intuitivo, y muy cómodo para editar nuestro fichero con la bibliografía.
(Un último comentario antes de empezar. Para instalar todos estos programas, depende de si tu ordenador es de 32 bits (x86) o de 64 bits (x64). Sobra decir que puedes ver el tipo de tu sistema en "Panel de Control / Sistema"...)

Empecemos...



  1. Casi seguro que ya tengas Adobe Reader, pero si no, descárgalo e instálalo. (click aquí) 

  2. Descarga e instala MikTeX. (click aquí)
    (En mi caso, descargo el instalador "Basic MiKTeX 2.9 Installer".)
    Aquí una cosa muy importante, cuando estés instalando MikTeX, y pregunte "Install missing packages on-the-fly", hay que poner "Yes". ¡Muy importante!
    Si ya tienes instalado MikTeX, puedes encontrar esta opción en Inicio / Todos los programas / MikTeX / Maintenance (Admin) / Settings (Admin) / General.
  1. Descarga e instala GPL Ghostcript. (click aquí)

    Pincho en la última versión ("GPL Ghostscript 9.02" en mi caso), y a continuación en el instalador (en mi caso "gs902w32.exe", ya que tengo 32 bits).

  2. Descarga e instala GSview. (click aquí) (Misma página que GPL Ghostcript.)

    Pincho en la última versión (GSview 5.0 en mi caso), y a continuación en el instalador (en mi caso "gsv50w32.exe", ya que tengo 32 bits).

  3. Descarga e instala TexnicCenter. (click aquí)

    Pincho en download, y a continuación en la última versión ("TeXnicCenter 1 RC 1 Installer", en mi caso).

  4. Durante la instalación nos preguntará dónde tenemos LaTeX (es decir, el ejecutable de Miktex). Hay que darle la dirección de la carpeta "...\miktex\bin" si usas Windows XP, "...miktex\bin\x64" si usas Windows 7.
    Es decir, será algo similar a: "C:\Archivos de programa\miktex29\miktex\bin" (Pero que dependerá de dónde lo hayas instalado tú...)
        A continuación, nos preguntará dónde tenemos nuestro visor de pdf. Es decir, Adobe Reader. Tenemos que darle la dirección del archivo "AcroRd32.exe".
        Será algo similar a lo siguiente: "C:\Archivos de programa\Adobe\Reader 10.0\Reader\AcroRd32.exe" (Pero que dependerá de dónde lo hayas instalado tú...)
        Por cierto, una vez instalado TexnicCenter, siempre puedes cambiar todo esto en "Build / Define Output Profiles" (Alt+F7).
         
      1. Descarga e instala Gimp2. (click aquí)

      2. Descarga e instala Diaw.exe. (click aquí)

        En
        el siguiente enlace puedes ver un vídeo tutorial de este programa (click aquí), realizado por el grupo CAChemE.org.
      1. Descarga e instala JabRef. (click aquí)
        Una última cosa, con Miktex, se nos instaló un segundo editor de LaTeX, TexWorks. Que es bastante limitado, pero que por defecto se nos habrá configurado como el editor de archivos tex. Mi recomendación es poner TexnicCenter como el editor por defecto. (Ya sabes, segundo botón sobre un archivo .tex / Abrir con / Elegir programa... / (Buscar TexnicCenter) / Y poner un tick en "Utilizar siempre el programa seleccionado...")



        Vamos a hacer ahora nuestro primer documento de LaTeX.
        • En TexnicCenter, pinchamos en File/New Project... Seleccionamos General/Empty Project.

          Le damos un nombre en "Project name", un directorio en "Project path", ponemos un tick en "Uses BibTeX" y "Uses MakeIndex", y finalmente pinchamos OK. (Los proyectos son una cosa particular de TexnicCenter, pero que resultan muy cómodos. Crean una estructura en árbol a la izquierda, para que navegues entre las secciones, ecuaciones, referencias... de tu archivo.)
        • A continuación, escribimos nuestro documento. Por ejemplo:

          \documentclass[a4paper,openright,10pt]{report}
          \usepackage[spanish]{babel}
          \usepackage[latin1]{inputenc}
          \usepackage{wasysym}

          \begin{document}

          Hola mundo \smiley

          \end{document}

        • Seleccionamos que la salida sea "LaTeX=> PS=> PDF". Compilamos un par de veces (Ctrl+F7), y visualizamos el resultado (F5).

          Si estamos usando un paquete, que aún no tenemos en nuestro ordenador, TexnicCenter lo descargará de internet. Como en este caso, el paquete {wasysym}. Puede parecer que TexnicCenter está tardando en compilar, pero solo está descargando el paquete. La siguiente vez que compilemos, todo será más rápido.

        Y ya está. ¿Funcionó? :-)



        Una última cosa. En la siguiente entrada he puesto algunos errores típicos que me pasaron a mí. Quizás alguno te pueda servir de ayuda (click aquí).

        64 comentarios:

        Andrés montaña dijo...

        hola que tal Luis:
        que son los archivos *.aux,*.bbl, *.tcp y *. tps y para que sirven, es necesario mantenerlo ahi????

        y otra cosa para que sive :

        Gimp, Diaw.exe y JabRef ????

        Luis dijo...

        Hola Andrés, ¿qué tal?

        son archivos que utiliza el editor de LaTeX, y que te crea automaticamente cada vez que compilas un documento. Si los borras, te los volverá a crear cuando compiles.

        Los programas esos, son solo auxiliares. Los dos primeros son para hacer dibujos, el tercero para crear tu archivo con la bibliografía.

        Hasta luego,

        Unknown dijo...

        Hola, muchas gracias, me sirvió muy bien.

        Luis dijo...

        Me alegro. :-)

        Gerardo Dorado dijo...

        Hola mi problema es que siempre me sale el tamaño de hoja como 210x297 es decir A4, por qué sucede esto?

        Luis dijo...

        Hola Gerardo, ¿qué tal?

        El tipo de hoja se define al inicio del documento. Por ejemplo:
        "\documentclass[b5paper]"

        También puedes definir los márgenes que tú quieras:
        http://minisconlatex.blogspot.fr/2011/03/tamano-b5-en-hojas-a4.html

        Hasta luego

        Victor Manuel dijo...

        saludos. estoy intentando descargar el gpl y el gsview y no aparecen disponibles,

        Luis dijo...

        Hola Víctor, ¿qué tal?
        Creo que fue un problema temporal en las páginas web de dichos programas. Los enlaces ya vuelven a funcionar correctamente.
        Hasta luego. :-)

        HANONIMO dijo...

        Hola Luis.
        Lo primero, muchas gracias por tu blog. Nos ayuda a los que nos estamos iniciando.

        te quería preguntar una duda. he conseguido instalar todo tal y como dices y ya llevaba unos días trabajando con LaTeX. La cosa es que ahora, después de compilar, cuando quiero ver el documento, me aparece el siguiente error: [DocOpen("%bm.pdf")][FileOpen("%bm.p...")]...Cannot execute the command

        He buscado por internet y al parecer es algo típico, pero no encuentro la solución.

        Un saludo y gracias de antemano.

        Diego

        Luis dijo...

        Hola Hanonimo, ¿qué tal?

        El problema creo que esta en Adobe. He mirado en internet (click aquí) y dicen que el problema es por el DDE de Adobe que ha cambiado (un protocolo para que los distintos programas compartan información).

        En: Build / Define Output Profiles / Viewer / View project's output / DDE command / Server
        hay que poner "acroview".

        Ya me dirás si ese era el problema.
        Hasta luego

        HANONIMO dijo...

        Hola Luis,
        La verdad es que me va a ratos. Tengo puesto en server acroviewR11.

        Según he estado probando en diferentes pruebas, el error sale cuando cometo un error en la elaboración del documento. Es extraño, la verdad. También consigo solucionarlo si antes de compilar, mando guardar el archivo.

        Muchas gracias!

        Diego

        Por cierto, me sale Hanonimo por defecto y no veo el lugar en donde poder cambiar el nombre.

        Luis dijo...

        Hola Diego,
        pues ni idea de cuál es el problema entonces. Sorry...

        El nombre de Hanonimo supongo que lo puedas cambiar en "www.blogger.com". Luego, arriba en tu nombre, "Perfil de blogger". Y luego en Editar perfil / Nombre visible.

        Hasta luego y suerte. :-)

        Sherezada García dijo...

        mil gracias, te agradezco infinitamente :D

        Luis dijo...

        Me alegro de que te sirviera, Sherezada. :-)

        Luis Molina dijo...

        Hola luis, gracasi por el aporte esta muy bueno, pero me gustaria saber si Mik Tex es exactamente lo mismo que Latex, ya que tengo una tarea en latex, pero pues no se, me dijeron q etrictamente me recibian la tarea en latex

        Luis dijo...

        Hola Luis,
        LaTeX es un conjunto de macros para generar textos científicos y técnicos.
        Hay varias distribuciones de LaTeX. En Windows, la más popular es MiKTeX, pero no la única.
        En Linux, en vez de MiKTeX se usa TeXLive.
        En Mac, se usa MacTeX...

        Resumiendo, si usas Windows, tienes que instalarte MiKTeX. :-)

        zeyamax dijo...

        Hola, se puede instalar en MAC o solo en Windos?

        Luis dijo...

        Hola Zeyamax, ¿qué tal?

        en Mac la distribución de LaTeX se llama "TeX Live" (en vez de Miktex), y un editor muy popular es "TexShop" (en vez de TeXnicCenter). No uso Mac así que no sabría decirte más.

        Hasta luego

        Allan Josué García Meza dijo...

        Que tal

        Muchas gracias ahora ya puedo hacer mis reportes de laboratorio :)

        Allan Josué García Meza dijo...

        Disculpa. Ya hice la instalación pero Adobe Reader me manda un mensaje de error:

        "Erro al abrir el documentoel archivo no se encuentra"

        Y TeXnic me dice:

        "[DocOpen("%bm.pdf")][FileOpen("%bm.pdf")}

        Cannot execute the command"

        ¿Sabes que puedo hacer?

        Luis dijo...

        Hola Allan, ¿qué tal?
        creo que ese es el mismo problema que comentó HANONIMO. Mira más arriba en los comentarios.

        Alt + F7
        Pestaña "Viewer"
        En "Server" poner "acroview".

        Si sigue sin funcionar, quizás funcione poniendo "acroviewR10".

        Ya me dirás si se solucionó el problema.
        ¡Hasta luego y suerte!

        Allan Josué García Meza dijo...

        Saludos nuevamente

        Tengo noticias y es que logré hacer la instalación pero en Windows 7, donde no me funcionaba era en XP. Tal vez alguna causa extraña no lo dejaba funciona pero ahora corre perfecto.

        Gracias por contestar y suerte!

        Luis dijo...

        Me alegro :-)

        María Fernanda Lozano dijo...

        Hola Luis cómo estás? soy María Fernanda y poseo problemas con el programa poruqe no me deja ver los documentos editados en pdf, necesito ayuda con la configuación. Por favor ayúdame!! gracias

        Luis dijo...

        Hola Fernanda, ¿qué tal?

        Sin nada de información, no puedo ayudarte. Creo que el problema está en que tienes un error en el código, y no compila tu documento. ¿Seguiste todos los pasos de esta entrada? ¿Conseguiste compilar correctamente el pequeño ejemplo?

        Hasta luego

        Rocío. dijo...

        Hola, Luis:

        Mi problema está en que no consigo que funcione ninguna instrucción de inclusión de un paquete. O sea, cada vez que intento poner \usepackage{el-que-sea} no compila. No sé en qué programa de todos está el error o si debo instalar algún otro auxiliar.

        Muchas gracias por este blog tan útil para los que empezamos con LaTeX.

        Un saludo.

        Rocío. dijo...

        Bueno, añado más datos a mi anterior entrada... para que no quede poco concreta. Ahora mismo tengo instalado:

        (I) miktex: basic-miktex-2.9.4813

        (II) TeXworks: TeXworks-setup-0.4.4-r1004

        Hasta ahora he estado trabajando bien con ellos dos (hace un par de meses que he empezado a redactar un trabajo con él), sin ningún problema. Pero ha sido en el momento en el que he tenido que insertar gráficas cuando me he dado cuenta de que no podía incluir ningún paquete.

        Acabo de instalar también esos otros dos programas que tú indicabas, por si acaso fuere ese el problema. Pero... nada... sigo sin poder añadir los paquetes.

        Me da un poco de miedo desinstalar lo que tengo e instalar el TexnicCenter, porque tengo que entregar el trabajo a primeros de julio y me da un patatús si me deja de funcionar ahora el Latex... Pero, bueno, según dices es posible trabajar con varios... Buah, no sé qué hacer.

        Muchas gracias.

        Luis dijo...

        Hola Rocío.
        Si instalas TeXnicCenter no tienes que desistalar nada, y no perderás ningún fichero. De manera que podrás seguir trabajando con tu informe con TeXnicCenter y con TeXworks... O sea, que yo instalaría TeXnicCenter que es mucho más potente.

        De todos modos, quizás esté pasando lo siguiente. Para que los paquetes nueves se instalen, hay que configurar una cosa en MikTeX. Ve a:

        Inicio / Todos los programas / MikTeX / Maintenance (Admin) / Settings (Admin) / General

        Y en "Install missing packages on-the-fly" hay que poner "Yes"

        Ya me dirás si te funcionó.
        Hasta luego

        Rocío. dijo...

        Hola de nuevo, Luis:

        En cuanto a lo de comprobar que apareciese la opción "yes" en "Install missing packages on-the-fly", fue una de las primeras cosas que hice cuando leí esta entrada de tu blog donde te ocupabas de la instalación del programa. Confiaba en que tuviera una solución así de sencilla, pero... no. :(

        He instalado el otro programa de compilación, el TeXnic Center; pero sigue sin aceptarme el comando \usepackage{graphicx} ni ningún otro \usepackage...

        No sé, seguiré instalando y desinstalando cosas... a ver si en algún momento empieza a funcionar bien. En cuanto descubra cuál es el problema (confio en solucionarlo...), te lo comentaré por aquí, por si acaso otra persona acudiese con un problema similar.

        Supongo que en temas de instalaciones, es más complicado detectar qué es lo que falla...

        Muchas gracias por tu rápida contestación y toda la ayuda que prestas.

        Un saludo,

        Rocío.

        Luis dijo...

        Hola Rocío,
        pues no sé qué te estará pasando.

        El paquete graphicx, siempre lo puedes descargar de internet e instalar a mano:

        http://www.ctan.org/tex-archive/macros/latex/required/graphics

        Pero este paquete creo que se instala por defecto al instalar MikTeX... Así que quizás es que tengas mal instalado MikTeX... Yo trataría de reinstalar MikTeX de nuevo... ¡¡Pero hazte copias de seguridad de tu trabajo antes, claro!!

        Hasta luego y suerte

        Rocío. dijo...

        ¡Yuhuuu! Luis, te escribí hace poco comentándote que tenía problemas a la hora de utilizar el comando \usepackage. Finalmente resultó ser un problema de cómo tenía escrita la cabecera... Si te digo la verdad, todavía no tengo detectado el problema exacto (en cuanto pase la entrega y tenga más tiempo, lo investigaré); lo que sí sé es que con un nuevo modelo de cabecera, ya todo funciona perfecto.

        Gracias por tomarte la molestia.

        Un saludo,

        Rocío.

        Luis dijo...

        Me alegro, Rocío. :-)

        Mayra Sauceda dijo...

        Hola:
        Quiero descargar MikTex pero no puedo, a que se puede deber?

        Luis dijo...

        jeje, pues ni idea, Mayra. Adivino no soy. :-) Como no me des algún dato más...

        Ivonne Lopez dijo...

        hola,

        soy Ivonne y tengo un problema con latex: ! LaTeX Error: File `amsthm.sty' not found.Type X to quit or to proceed,or enter new name. (Default extension: sty)Enter file name:! Emergency stop.

        Soy principiante y no se la razon del error

        Si puede ayudarme, se lo agradeceria

        Luis dijo...

        Hola Ivonne,

        según el mensaje de error, parece que estás escribiendo mal el nombre del paquete.

        Al inicio de tu documento, tienes que escribir:

        \usepackage{amsthm}

        Comprueba si has escrito mal o intercambiado alguna letra.

        Hasta luego

        Ivonne Lopez dijo...

        ok, muchas gracias, mas bien no tenia instalado el paquete, muchas gracias por su pronta respuesta

        Serena dijo...

        Hola Luis, soy Serena y logré instalar MikteX y TeXnicCenter y ya entregué dos tareas realizadas en Latex. Mil gracias!!!!

        Luis dijo...

        Me alegro, Serena. :-)

        Maximiliano dijo...

        Hola Luis, instalé correctamente todo pero cuando trato de abrir el pdf cuando me decís que le de F5, solo me abre el pdf y no el arcivho y ya hice lo de acroview :/

        Luis dijo...

        Hola Maximiliano,
        sí, ese es un error que pasa mucho. Creo que se debe a alguna de las actualizaciones de Adobe.

        A lo mejor te funciona, poniendo "AcroviewR11" en vez de "acroview".

        Aquí tienes más información sobre eso:

        click aquí

        Hasta luego

        Gabriela Ch dijo...

        Gracias por el aporte funcionó a la perfección...
        básicamente se debe tener mucho cuidado en la instalación y listo !!

        Luis dijo...

        Me alegro Gabriela. :-)

        Itzel Reyna dijo...

        HOla Luis, una pequeña pregunta, en el punto 6 de tu tutorial, aparecen 2 imagenes, y solo aclaras lo del server, aunque se ve que tambièn modificaste otros recuadros, ademàs en la imagen 2 del punto 6, aparece el codigo "%bm.pdf", y la verdad, siguiendo al pie de la letra tus instrucciones no me ha podido realizar un solo documento, mi pregunta es que si debo forzozamente poner "TAL cual, todos los rubros de tu imagen para configurar mi Programa"
        GRACIAS!

        Luis dijo...

        Hola Itzel,

        lo del punto 6 es solo para solucionar unos errores muy determinados (al crear un índice onomástico, que Adobe no se abra automáticamente...).

        Es decir, para crear un ejemplo sencillo, el punto 6 no importa.

        En ese punto, pongo cómo lo tengo yo configurado. Pero no es obligatorio ponerlo exactamente así, claro.

        Sobre que no te funcione el ejemplo, así solo, no sabría decirte la causa...

        Benjamin Salazar dijo...

        Hola Luis, al compilar el documento de prueba obtengo un error que dice:LaTex error: File 'wasysym.sty' not found. Y luego Emergency Stop.

        Qué debo hacer?

        de antemano muchas gracias por la información. Saludos desde Colombia.

        Luis dijo...

        Hola desde Francia, Benjamin.

        Si utilizas TeXnicCenter, dicho editor se encarga de descargar e instalar en tu computador, los paquetes de LaTeX que no tengas. Como en este caso, wasysym. Pero para que lo haga automáticamente, tienes que hacer lo que digo en el punto 2.

        La otra posibilidad es que te descargues manualmente dicho paquete. De todos modos, ese pequete solo es para poner símbolos como la carita sonriente. O sea, que no es muy importante...

        Hasta luego

        Carla Macarena Uribe dijo...

        Hola Luis para corregir la ortografia en español hay que descargar algun paquete adicional?



        Luis dijo...

        Hola Carla, ¿qué tal?

        con el diccionario, hay una cosa curiosa. Funciona mucho mejor en la versión de TeXnicCenter 1.0, que en la versión 2.0. Así que, a lo mejor podrías trabajar con la versión antigua.

        Lo que hay que hacer es lo siguiente. Primero, hay que descargar el diccionario en español. Que puedes hacerlo desde la página de openoffice.

        http://extensions.openoffice.org/en/project/spanish-espanol

        Aquí, puedes descargar el archivo es_es.oxt. Este archivo está comprimido, y tiene la extensión oxt. Este tipo de archivo no se puede descomprimir con WinZip, o WinRar, que son los ficheros típicos para comprimir.

        Para descomprimirlo, tienes que usar otro programa. Como por ejemplo, 7Zip.

        http://www.7-zip.org/

        Una vez que lo descomprimes, tienes que coger los archivos es_ES.aff, y es_ES.dic, y copiarlos en la carpeta correspondiente en TeXnicCenter.

        Si trabajas con TeXnicCenter 1
        \TeXnicCenter\Language

        Si trabajas con TeXnicCenter 2
        \TeXnicCenter\Dictionaries

        Una vez hecho esto, en TeXnicCenter puedes seleccionar el idioma español, en Tools/Options/Spelling. Seleccionando el idioma (es) y el dialecto (ES).

        Si estás trabajando en un proyecto antiguo, quizás aún sigan las palabras en español subrayadas en rojo, como si estuvieran mal escritas. Esto puede ser porque en el proyecto, aún este seleccionado el inglés como idioma por defecto.

        Abre el archivo .tcp, y comprueba que el idioma y el dialecto están puestos correctamente.

        ProjectLanguage=es
        ProjectDialect=ES

        Por cierto, el problema de la nueva versión de TeXnicCenter, aparece con palabras con acento. Creo que el diccionario, está escrito siguiendo el protocolo [latin1], mientras que la nueva versión de TeXnicCenter utiliza [utf8], y entonces, no reconoce las palabras con acentos. Esto no pasaba con la versión antigua de TeXnicCenter, porque también usaba [latin1].

        Desconozco si todo esto está solucionado en otros editores de LaTeX.

        Espero que te ayude.
        Hasta luego

        Jaime Mogollón Michilot dijo...

        Hola Luis,
        Tengo un problema al momento de ver el PDF de mis documentos en Latex. Me sale la siguiente ventana emergente:
        "[DocOpen("%bm.pdf")][FileOpen("%bm.pdf")]
        Cannot execute the command"
        He estado pensando y creo que es porque recientemente he actualzido el Acrobat Reader del 10 al 11. Qué puedo hacer para solucionar este problema.
        Gracias.

        Luis dijo...

        Hola Jaime,

        a lo mejor se pueda solucionar así...

        http://minisconlatex.blogspot.fr/2014/02/errores-con-texniccenter.html

        Mario Rodriguez dijo...

        Hola una pregunta!

        He seguido los pasos tal y todo va bien. Pero si en vez de poner lo de "hola mundo" y la carita, pongo "Feliz año" por ejemplo me salen 2 erroes debidos a escribir la 'ñ'.

        Lod 2 erroes son: Latex > ! Missing $inserted.

        ¿Podeis ayudarme?

        Gracias.

        Luis dijo...

        Hola,

        al final de la entrada hay un link que creo que explica tu problema...

        Caro Hernandez Guzman dijo...

        Hola, puedo descargar de los links que mencionas y que corra a la perfección para w8 ? Gracias

        Luis dijo...

        Hola Caro, yo creo que sí. Pero bueno, solo tienes que probarlo. :-)

        Gerónimo dijo...

        Hola Luis, tengo la siguiente duda:
        Durante el proceso de instalación de TexnicCenter primero se me pregunta si acepto el acuerdo, luego en que carpeta deseo instalarlo, luego los componentes que quiero instalar, después donde quiero poner un acceso en el menú, luego esto http://prntscr.com/51mpsg y por último http://prntscr.com/51mqbo. Pero en ningún momento he logrado notar en que paso me pregunta donde tengo Miktek, como aparece en tus instrucciones. ¿O habré olvidado algo?
        Espero tu pronta respuesta.

        Luis dijo...

        Hola Gerónimo,

        no pasa nada. Seguramente yo lo hice con una versión anterior, y por eso la instalación es un poco distinta. En cualquier caso, puedes editar todo eso en "Build / Define Output Profiles"

        Susana Orellana dijo...

        Hola Luis,
        No encuentro el ejecutable GPL Ghostcript en el link que enviaste. Podrías aclararme dónde encontrarlo.

        SALUDOS

        Luis dijo...

        Hola Susana,
        pues sí que está ahí... Hay un enlace bien grandote, que pone Ghstcript... :D

        Que luego te lleva a la siguiente página

        http://www.ghostscript.com/download/gsdnld.html

        Y te bajas la versión gratuita, correspondiente.

        Gerónimo dijo...

        Gracias por tu ayuda Luis.

        Saludos.

        Daniel dijo...

        Hola Luis, muchas gracias por todo.

        A la hora de compilar me da el siguiente error de que no encuentra la librería de wasysym, pero no descaraga nada como tu indicas en el blog.

        ¿que puede estar sucediendo?

        Luis dijo...

        Hola Daniel, pues solo así no sé.

        Pero quizás el problema porque falte poner la opción de "Install missing packages on-the-fly", que indico en el punto 2.

        Oker@ dijo...

        Hola Luis,
        A pesar de que has recibido innumerables elogios y agradecimientos por tu blogg, yo quiero agregar uno mas. Estoy escribiendo la tesis de doctorado y solo puedo darte infinitas gracias por facilitarme tanto la escritura de la misma.
        Omaira

        Luis dijo...

        Muchas gracias, Omaira. :-)